Vine Linux バグトラッキングシステム

課題の詳細を表示 コメントにジャンプ ] 課題の履歴 ] 印刷 ]
IDプロジェクトカテゴリ登録日最終更新
0002564Vine Linux1 バグ2013-03-17 00:042015-12-19 22:32
報告者iwaim 
担当者kudoh 
優先度再現性未試験 
状態完了解決状況実装済 
バージョンVineSeed 
修正予定バージョンVineSeed修正済バージョンVineSeed 
概要0002564: pywebkitgtkがWebKit-gtk-develに依存している
説明pywebkitgtk 1.1.8-5vl7がWebKit-gtk-develに依存しています。
pkgconfig関連のようですが、そのファイルだけ-develに分割するとよい気もしています。

ただ、その対応で問題ないのかは検証していません。有識者のコメントを求む。

--------
$ apt-cache depends pywebkitgtk | grep -B1 devel
  依存: <pkgconfig(webkit-1.0)>
    WebKit-gtk-devel-1.10.2-1vl7
--------
タグ設定されていません。
arch
パッケージpywebkitgtk
添付ファイル

- 関連

-  コメント
(0007900)
kudoh (開発者)
2013-04-29 21:49

Fedoraは現在のところpywebkitgtk-1.0.pcを
%exclude指定しているので、パッケージには含んでいません。

Debianでは-devパッケージに分離しています。

Fedoraに倣う形でいこうかと考えています。
(0008040)
kudoh (開発者)
2013-07-14 21:18

ひとまずFedoraに倣う形で処置しました。
確認をお願いします。
(0008775)
daisuke (管理者)
2014-06-10 13:46

pkgconfig は必要であれば原則としては -devel に分離して収録ですが、pywebkitgtkの
pcを使うことがあるのかは疑問なので、とりあえずその形でいいと思います。
なお、fedoraまたはdebianに倣う ということはせず、pkgconfig を入れるなら -devel
を作るという原則でおねがいします。
(0009695)
tomop (管理者)
2015-12-19 22:32

 最終更新日から1年以上経過したためクローズします。

- 課題の履歴
変更日 ユーザー名 項目 変更内容
2013-03-17 00:04 iwaim 新規課題
2013-04-29 21:49 kudoh コメント追加: 0007900
2013-05-06 06:09 iwaim 担当者 => kudoh
2013-05-06 06:09 iwaim 状態 新規 => 担当者決定
2013-07-14 21:18 kudoh コメント追加: 0008040
2013-07-14 21:20 kudoh 状態 担当者決定 => テスト待ち
2013-07-14 21:20 kudoh 解決状況 不明 => 実装済
2013-07-14 21:20 kudoh 修正済バージョン => VineSeed
2013-07-14 21:20 kudoh 修正予定バージョン => VineSeed
2014-06-10 13:46 daisuke コメント追加: 0008775
2015-12-19 22:32 tomop コメント追加: 0009695
2015-12-19 22:32 tomop 状態 テスト待ち => 完了


Copyright © 2000 - 2018 MantisBT Team
Copyright © 2012 - 2018 Project Vine
Powered by Mantis Bugtracker